]> git.pld-linux.org Git - packages/apache.git/blame - apache.init
- check for chkconfig existence. (rpm fault)
[packages/apache.git] / apache.init
CommitLineData
8faab90e 1#!/bin/sh
58f9559b 2#
34c86420 3# apache Apache Web Server
58f9559b 4#
34c86420 5# chkconfig: 345 85 15
6# description: Apache is a World Wide Web server. It is used to serve \
7# HTML files and CGI.
8# processname: httpd
9# pidfile: /var/run/httpd.pid
40350f98
MM
10# config: /etc/httpd/conf/access.conf
11# config: /etc/httpd/conf/httpd.conf
12# config: /etc/httpd/conf/srm.conf
34c86420 13
14
15# Source function library
58f9559b
AF
16. /etc/rc.d/init.d/functions
17
34c86420 18# Get network config
19. /etc/sysconfig/network
20
21# Get service config
22[ -f /etc/sysconfig/apache ] && . /etc/sysconfig/apache
23
58f9559b 24# Check that networking is up.
a7f729cf 25if is_yes "${NETWORKING}"; then
bc107690 26 if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
a7f729cf 27 # nls "ERROR: Networking is down. %s can't be run." <service>
28 msg_network_down httpd
29 exit 1
30 fi
31else
32 exit 0
036261c0 33fi
1f86fa83 34
7728b647 35[ -z "$HTTPD_MPM" ] && HTTPD_MPM="prefork"
e5db1e51 36if [ -d "${HTTPD_CONF:-'/etc/httpd/httpd.conf'}" ]; then
e5db1e51 37 CFG="-f ${HTTPD_CONF:-'/etc/httpd/httpd.conf'}"
38elif [ -n "$HTTPD_CONF" ]; then
39 echo "error: HTTPD_CONF='$HTTPD_CONF': not a file, not a directory"
40 exit 1
812867fe 41else
cc59379f 42 CFG=""
812867fe 43fi
7728b647 44
e156d1e7 45RETVAL=0
58f9559b
AF
46# See how we were called.
47case "$1" in
48 start)
34c86420 49 # Check if the service is already running?
a7f729cf 50 if [ ! -f /var/lock/subsys/httpd ]; then
7728b647 51 msg_starting httpd.${HTTPD_MPM}
77079cb1 52 daemon httpd.${HTTPD_MPM} $CFG $HTTPD_OPTS
a7f729cf 53 RETVAL=$?
54 [ $RETVAL -eq 0 ] && touch /var/lock/subsys/httpd
34c86420 55 else
7728b647 56 msg_already_running httpd.${HTTPD_MPM}
34c86420 57 fi
58f9559b
AF
58 ;;
59 stop)
a7f729cf 60 # Stop daemons.
a4aad8e2 61 if [ -f /var/lock/subsys/httpd ]; then
7728b647 62 msg_stopping httpd.${HTTPD_MPM}
812867fe 63 daemon --waitforname httpd.${HTTPD_MPM} --waitfortime 60 httpd.${HTTPD_MPM} $CFG -k stop
af95835e 64 RET=$?
af95835e 65 # Delete pidfile only when apache was called successfully
66 if [ $RET -eq 0 ]; then
67 rm -f /var/lock/subsys/httpd /var/run/httpd.pid /var/run/httpd.loc* >/dev/null 2>&1
68 fi
a7f729cf 69 else
7728b647 70 msg_not_running httpd.${HTTPD_MPM}
a4aad8e2 71 fi
58f9559b
AF
72 ;;
73 status)
7728b647 74 status httpd.${HTTPD_MPM}
b3d1e4ee 75 RETVAL=$?
812867fe 76 /usr/sbin/httpd.${HTTPD_MPM} $CFG -S
58f9559b 77 ;;
40350f98 78 restart)
cc59379f 79 $0 stop
58f9559b
AF
80 $0 start
81 ;;
f9712db9 82 reload|force-reload|graceful)
e156d1e7 83 if [ -f /var/lock/subsys/httpd ]; then
7728b647 84 msg_reloading httpd.${HTTPD_MPM}
1c5fd89c
AM
85 httpd.${HTTPD_MPM} $CFG -t > /dev/null 2>&1
86 if [ $? -eq 0 ]; then
cc59379f 87 daemon httpd.${HTTPD_MPM} $CFG -k graceful
1c5fd89c
AM
88 else
89 fail
90 echo "Configuration file syntax test failed."
91 fi
e156d1e7 92 RETVAL=$?
93 else
7728b647 94 msg_not_running httpd.${HTTPD_MPM} >&2
e156d1e7 95 RETVAL=7
96 fi
40350f98 97 ;;
58f9559b 98 *)
62c5d063 99 msg_usage "$0 {start|stop|restart|reload|force-reload|graceful|status}"
e156d1e7 100 exit 3
58f9559b
AF
101 ;;
102esac
103
a4aad8e2 104exit $RETVAL
This page took 0.056679 seconds and 4 git commands to generate.